Print Friendly

# Class Ext.form.Column

Package: | Ext.form
Class: | Column
Extends: | Layout
Defined In: | Layout.js

Creates a column container for layout and rendering of fields in an Ext.form.Form.
Properties - Methods - Events - Config Options

## Public Properties

Property | Defined By
--- | ---
| disabled : Object | Component
true if this component is disabled. Read-only.
| hidden : Object | Component
true if this component is hidden. Read-only.
| rendered : Object | Component
true if this component has been rendered. Read-only.

## Public Methods

Method | Defined By
--- | ---
| Column( `Object config` ) | Column
| addEvents( `Object object` ) : void | Observable
Used to define events on this Observable
| addListener( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void | Observable
Appends an event handler to this component
| destroy() : void | Component
Destroys this component by purging any event listeners, removing the component's element from the DOM, removing the c...
| disable() : Ext.Component | Component
Disable this component.
| enable() : Ext.Component | Component
Enable this component.
| fireEvent( `String eventName`, `Object... args` ) : Boolean | Observable
Fires the specified event with the passed parameters (minus the event name).
| focus( `Boolean selectText` ) : Ext.Component | Component
Try to focus this component.
| getEl() : Ext.Element | Component
Returns the underlying Ext.Element.
| getId() : String | Component
Returns the id of this component.
| hasListener( `String eventName` ) : Boolean | Observable
Checks to see if this object has any listeners for a specified event
| hide() : Ext.Component | Component
Hide this component.
| isVisible() : void | Component
Returns true if this component is visible.
| on( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void | Observable
Appends an event handler to this element (shorthand for addListener)
| purgeListeners() : void | Observable
Removes all listeners for this object
| removeListener( `String eventName`, `Function handler`, [`Object scope`] ) : void | Observable
Removes a listener
| render( [`String/HTMLElement/Element container`] ) : void | Component
If this is a lazy rendering component, render it to its container element.
| setDisabled( `Boolean disabled` ) : void | Component
Convenience function for setting disabled/enabled by boolean.
| setVisible( `Boolean visible` ) : Ext.Component | Component
Convenience function to hide or show this component by boolean.
| show() : Ext.Component | Component
Show this component.
| un( `String eventName`, `Function handler`, [`Object scope`] ) : void | Observable
Removes a listener (shorthand for removeListener)

## Public Events

Event | Defined By
--- | ---
| beforedestroy : ( `Ext.Component this` ) | Component
Fires before the component is destroyed. Return false to stop the destroy.
| beforehide : ( `Ext.Component this` ) | Component
Fires before the component is hidden. Return false to stop the hide.
| beforerender : ( `Ext.Component this` ) | Component
Fires before the component is rendered. Return false to stop the render.
| beforeshow : ( `Ext.Component this` ) | Component
Fires before the component is shown. Return false to stop the show.
| destroy : ( `Ext.Component this` ) | Component
Fires after the component is destroyed.
| disable : ( `Ext.Component this` ) | Component
Fires after the component is disabled.
| enable : ( `Ext.Component this` ) | Component
Fires after the component is enabled.
| hide : ( `Ext.Component this` ) | Component
Fires after the component is hidden.
| render : ( `Ext.Component this` ) | Component
Fires after the component is rendered.
| show : ( `Ext.Component this` ) | Component
Fires after the component is shown.

## Config Options

Config Options | Defined By
--- | ---
| allowDomMove : Boolean | Component
Whether the component can move the Dom node when rendering (defaults to true).
| autoCreate : String/Object | Column
A DomHelper element spec used to autocreate the column (defaults to {tag: 'div', cls: 'x-form-ct x-form-column'})
| clear : Boolean | Layout
True to add a clearing element at the end of this layout, equivalent to CSS clear: both (defaults to true)
| disableClass : String | Component
CSS class added to the component when it is disabled (defaults to "x-item-disabled").
| hideLabels : Boolean | Layout
True to suppress the display of field labels in this layout (defaults to false)
| hideMode : String | Component
How this component should hidden. Supported values are "visibility" (css visibility), "offsets" (negative offset posi...
| labelAlign : String | Layout
Valid values are "left," "top" and "right" (defaults to "left")
| labelSeparator : String | Layout
The separator to use after field labels (defaults to ':')
| labelWidth : Number | Layout
Fixed width in pixels of all field labels (defaults to undefined)
| style : String/Object/Function | Layout
A style specification string, e.g. "width:100px", or object in the form {width:"100px"}, or a function which returns ...
| width : Number/String | Column
The fixed width of the column in pixels or CSS value (defaults to "auto")

## Property Details

### disabled

`public Object disabled`
true if this component is disabled. Read-only.
This property is defined by Component.

### hidden

`public Object hidden`
true if this component is hidden. Read-only.
This property is defined by Component.

### rendered

`public Object rendered`
true if this component has been rendered. Read-only.
This property is defined by Component.

## Constructor Details

### Column

`public function Column( `Object config` )`
Parameters:

- `config` : Object
  Configuration options

## Method Details

### addEvents

`public function addEvents( `Object object` )`
Used to define events on this Observable
Parameters:

- `object` : Object
  The object with the events defined

Returns:

- `void`

This method is defined by Observable.

### addListener

`public function addListener( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] )`
Appends an event handler to this component
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope {Object} The scope in which to execute the handler function. The handler function's "this" context.
  - delay {Number} The number of milliseconds to delay the invocation of the handler after te event fires.
  - single {Boolean} True to add a handler to handle just the next firing of the event, and then remove itself.
  - buffer {Number} Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  Using the options argument, it is possible to combine different types of listeners:
  A normalized, delayed, one-time listener that auto stops the event and passes a custom argument (forumId)

      el.on('click', this.onClick, this, {
       			single: true,
          		delay: 100,
          		forumId: 4
      		});

  Attaching multiple handlers in 1 call
  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

      el.on({
      			'click': {
              		fn: this.onClick,
              		scope: this,
              		delay: 100
          		},
          		'mouseover': {
              		fn: this.onMouseOver,
              		scope: this
          		},
          		'mouseout': {
              		fn: this.onMouseOut,
              		scope: this
          		}
      		});

  Or a shorthand syntax which passes the same scope object to all handlers:

      el.on({
      			'click': this.onClick,
          		'mouseover': this.onMouseOver,
          		'mouseout': this.onMouseOut,
          		scope: this
      		});

Returns:

- `void`

This method is defined by Observable.

### destroy

`public function destroy()`
Destroys this component by purging any event listeners, removing the component's element from the DOM, removing the component from its Ext.Container (if applicable) and unregistering it from Ext.ComponentMgr.
Parameters:

- None.

Returns:

- `void`

This method is defined by Component.

### disable

`public function disable()`
Disable this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

This method is defined by Component.

### enable

`public function enable()`
Enable this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

This method is defined by Component.

### fireEvent

`public function fireEvent( `String eventName`, `Object... args` )`
Fires the specified event with the passed parameters (minus the event name).
Parameters:

- `eventName` : String
- `args` : Object...
  Variable number of parameters are passed to handlers

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true

This method is defined by Observable.

### focus

`public function focus( `Boolean selectText` )`
Try to focus this component.
Parameters:

- `selectText` : Boolean
  True to also select the text in this component (if applicable)

Returns:

- `Ext.Component`
  this

This method is defined by Component.

### getEl

`public function getEl()`
Returns the underlying Ext.Element.
Parameters:

- None.

Returns:

- `Ext.Element`
  The element

This method is defined by Component.

### getId

`public function getId()`
Returns the id of this component.
Parameters:

- None.

Returns:

- `String`

This method is defined by Component.

### hasListener

`public function hasListener( `String eventName` )`
Checks to see if this object has any listeners for a specified event
Parameters:

- `eventName` : String
  The name of the event to check for

Returns:

- `Boolean`
  True if the event is being listened for, else false

This method is defined by Observable.

### hide

`public function hide()`
Hide this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

This method is defined by Component.

### isVisible

`public function isVisible()`
Returns true if this component is visible.
Parameters:

- None.

Returns:

- `void`

This method is defined by Component.

### on

`public function on( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] )`
Appends an event handler to this element (shorthand for addListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional)

Returns:

- `void`

This method is defined by Observable.

### purgeListeners

`public function purgeListeners()`
Removes all listeners for this object
Parameters:

- None.

Returns:

- `void`

This method is defined by Observable.

### removeListener

`public function removeListener( `String eventName`, `Function handler`, [`Object scope`] )`
Removes a listener
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

### render

`public function render( [`String/HTMLElement/Element container`] )`
If this is a lazy rendering component, render it to its container element.
Parameters:

- `container` : String/HTMLElement/Element
  (optional) The element this component should be rendered into. If it is being applied to existing markup, this should be left off.

Returns:

- `void`

This method is defined by Component.

### setDisabled

`public function setDisabled( `Boolean disabled` )`
Convenience function for setting disabled/enabled by boolean.
Parameters:

- `disabled` : Boolean

Returns:

- `void`

This method is defined by Component.

### setVisible

`public function setVisible( `Boolean visible` )`
Convenience function to hide or show this component by boolean.
Parameters:

- `visible` : Boolean
  True to show, false to hide

Returns:

- `Ext.Component`
  this

This method is defined by Component.

### show

`public function show()`
Show this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

This method is defined by Component.

### un

`public function un( `String eventName`, `Function handler`, [`Object scope`] )`
Removes a listener (shorthand for removeListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

## Event Details

### beforedestroy

`public event beforedestroy`
Fires before the component is destroyed. Return false to stop the destroy.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### beforehide

`public event beforehide`
Fires before the component is hidden. Return false to stop the hide.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### beforerender

`public event beforerender`
Fires before the component is rendered. Return false to stop the render.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### beforeshow

`public event beforeshow`
Fires before the component is shown. Return false to stop the show.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### destroy

`public event destroy`
Fires after the component is destroyed.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### disable

`public event disable`
Fires after the component is disabled.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### enable

`public event enable`
Fires after the component is enabled.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### hide

`public event hide`
Fires after the component is hidden.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### render

`public event render`
Fires after the component is rendered.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

### show

`public event show`
Fires after the component is shown.
Subscribers will be called with the following parameters:

- `this` : Ext.Component

This event is defined by Component.

## Config Details

### allowDomMove

`allowDomMove : Boolean`
Whether the component can move the Dom node when rendering (defaults to true).
This config option is defined by Component.

### autoCreate

`autoCreate : String/Object`
A DomHelper element spec used to autocreate the column (defaults to {tag: 'div', cls: 'x-form-ct x-form-column'})
This config option is defined by Column.

### clear

`clear : Boolean`
True to add a clearing element at the end of this layout, equivalent to CSS clear: both (defaults to true)
This config option is defined by Layout.

### disableClass

`disableClass : String`
CSS class added to the component when it is disabled (defaults to "x-item-disabled").
This config option is defined by Component.

### hideLabels

`hideLabels : Boolean`
True to suppress the display of field labels in this layout (defaults to false)
This config option is defined by Layout.

### hideMode

`hideMode : String`
How this component should hidden. Supported values are "visibility" (css visibility), "offsets" (negative offset position) and "display" (css display) - defaults to "display".
This config option is defined by Component.

### labelAlign

`labelAlign : String`
Valid values are "left," "top" and "right" (defaults to "left")
This config option is defined by Layout.

### labelSeparator

`labelSeparator : String`
The separator to use after field labels (defaults to ':')
This config option is defined by Layout.

### labelWidth

`labelWidth : Number`
Fixed width in pixels of all field labels (defaults to undefined)
This config option is defined by Layout.

### style

`style : String/Object/Function`
A style specification string, e.g. "width:100px", or object in the form {width:"100px"}, or a function which returns such a specification.
This config option is defined by Layout.

### width

`width : Number/String`
The fixed width of the column in pixels or CSS value (defaults to "auto")
This config option is defined by Column.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.